# Enum Class BlockContentType

java.lang.Object
java.lang.Enum<BlockContentType>
htsjdk.samtools.cram.structure.block.BlockContentType

All Implemented Interfaces:
  `Serializable, Comparable<BlockContentType>, Constable`

public enum BlockContentType extends Enum<BlockContentType>
The block content types specified by Section 8.1 of the CRAM spec

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMPRESSION_HEADER`
`CORE`
`EXTERNAL`
`FILE_HEADER`
`MAPPED_SLICE`
`RESERVED`

## Method Summary

Modifier and Type
Method
Description
`static BlockContentType`
`byId(int id)`
Return the BlockContentType specified by the ID
`int`
`getContentTypeId()`
`static BlockContentType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BlockContentType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FILE_HEADER

public static final BlockContentType FILE_HEADER

### COMPRESSION_HEADER

public static final BlockContentType COMPRESSION_HEADER

### MAPPED_SLICE

public static final BlockContentType MAPPED_SLICE

### RESERVED

public static final BlockContentType RESERVED

### EXTERNAL

public static final BlockContentType EXTERNAL

### CORE

public static final BlockContentType CORE

## Method Details

### values

public static BlockContentType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BlockContentType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getContentTypeId

public int getContentTypeId()

Returns:
  the ID assigned to each content type in the CRAM spec

### byId

public static BlockContentType byId(int id)
Return the BlockContentType specified by the ID

Parameters:
  `id` - the number assigned to each block content type in the CRAM spec
Returns:
  the BlockContentType associated with the ID